Sessions (prev Tool Router)
List a tool router session config history
Returns the session config history ordered by version DESC (newest first). The live (current) config appears once, on the first page only, with is_current: true; archived versions have is_current: false.
GET
/
api
/
v3.1
/
tool_router
/
session
/
{session_id}
/
config_history
List a tool router session config history
import requests
url = "https://backend.composio.dev/api/v3.1/tool_router/session/{session_id}/config_history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/tool_router/session/{session_id}/config_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/tool_router/session/{session_id}/config_history \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/tool_router/session/{session_id}/config_history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/tool_router/session/{session_id}/config_history")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/tool_router/session/{session_id}/config_history");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"config": {
"user_id": "<string>",
"instant": false,
"preload": {
"tools": [
"<string>"
]
},
"search": {
"enable": true
},
"execute": {
"enable_multi_execute": true
},
"toolkits": {
"enabled": [
"<string>"
],
"require_approval": [
"<string>"
]
},
"auth_configs": {},
"manage_connections": {
"enabled": true,
"callback_url": "<string>",
"enable_wait_for_connections": false,
"enable_connection_removal": true
},
"tools": {},
"tags": {
"enabled": [
"readOnlyHint"
],
"disabled": [
"readOnlyHint"
],
"require_approval": [
"readOnlyHint"
]
},
"workbench": {
"enable": true,
"proxy_execution_enabled": true
},
"multi_account": {
"enable": true,
"max_accounts_per_toolkit": 123,
"require_explicit_selection": true
},
"proxy_execute": {
"enable": true
},
"hooks": [
{
"type": "before_execute",
"id": "<string>",
"applies_to": "all",
"handler": {
"type": "condition_check",
"condition": "<string>",
"action": "block"
},
"name": "<string>"
}
],
"connected_accounts": {}
},
"is_current": true
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
Path Parameters
Query Parameters
List a tool router session config history
import requests
url = "https://backend.composio.dev/api/v3.1/tool_router/session/{session_id}/config_history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/tool_router/session/{session_id}/config_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/tool_router/session/{session_id}/config_history \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/tool_router/session/{session_id}/config_history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/tool_router/session/{session_id}/config_history")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/tool_router/session/{session_id}/config_history");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"config": {
"user_id": "<string>",
"instant": false,
"preload": {
"tools": [
"<string>"
]
},
"search": {
"enable": true
},
"execute": {
"enable_multi_execute": true
},
"toolkits": {
"enabled": [
"<string>"
],
"require_approval": [
"<string>"
]
},
"auth_configs": {},
"manage_connections": {
"enabled": true,
"callback_url": "<string>",
"enable_wait_for_connections": false,
"enable_connection_removal": true
},
"tools": {},
"tags": {
"enabled": [
"readOnlyHint"
],
"disabled": [
"readOnlyHint"
],
"require_approval": [
"readOnlyHint"
]
},
"workbench": {
"enable": true,
"proxy_execution_enabled": true
},
"multi_account": {
"enable": true,
"max_accounts_per_toolkit": 123,
"require_explicit_selection": true
},
"proxy_execute": {
"enable": true
},
"hooks": [
{
"type": "before_execute",
"id": "<string>",
"applies_to": "all",
"handler": {
"type": "condition_check",
"condition": "<string>",
"action": "block"
},
"name": "<string>"
}
],
"connected_accounts": {}
},
"is_current": true
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}